import javax.swing.*;


/**
 * <b>Purpose</b>: Driver to test methods of our DIY MyMap<K,V> class. <br>
 * <b>Date:</b>	2007 11 05
 * @author C. D'Arcy
 */

public class MyMapTest {
	
  public static void main(String[] args) {
		
    // Instantiate a MyMap object: map
    MyMap<String, String> map = new MyMap<String, String>();
		
    // Test MyMap's toString() method on an empty map.
    System.out.println(map);
    // Test MyMap's isEmpty() method
    System.out.println("Is the map empty?: " + map.isEmpty());
    
    // Test MyMap's put(K,V) method.
    map.put("123", "Muck");
    map.put("413", "Mike");
    map.put("378", "Chris");
    System.out.println(map);
		
    System.out.println("Is the map empty?: " + map.isEmpty());
    
    // Test MyMap's size() method.
    System.out.println("Map contains " + map.size() + " records:\n" + map);
    String key = JOptionPane.showInputDialog("Search Utility. Enter a key:", "");

    // Test MyMap's contains() method.
    if (map.contains(key)) { 
      // Test MyMap's get(K) method.
      System.out.println(
          "The value associated with the key " + key + " is " + map.get(key)
          + ". ");
    } else {
      System.out.println("The map does not contain the key: " + key + '.');
    }
		
    System.out.println(map);
    key = JOptionPane.showInputDialog(
        "What record would you like to remove? (Enter key):", "");
    
    // Test MyMap's remove(key) method.
    String value;
    if ( (value = map.remove(key)) != null ) {
      System.out.println("<"+key+','+value + "> removed.");
    } else {
      System.out.println("Key: " + key + " not found.");
    }
    	
    System.out.println(map);

  }
	
}
